> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toffeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deposits

> List deposits



## OpenAPI

````yaml GET /v1/deposits
openapi: 3.1.0
info:
  title: ToffeePay API
  description: Public API for game partners
  version: 0.1.1
servers:
  - url: https://api.toffeepay.com
    description: Production
  - url: https://api.sandbox.toffeepay.com
    description: Sandbox
security:
  - BearerAuth: []
paths:
  /v1/deposits:
    get:
      summary: ListDeposits
      description: List deposits
      operationId: AccountService_ListDeposits
      parameters:
        - name: game_id
          in: query
          required: true
          schema:
            type: string
            title: game_id
        - name: user_id
          in: query
          schema:
            type: string
            title: user_id
        - name: account_id
          in: query
          schema:
            type: string
            title: account_id
        - name: status
          in: query
          schema:
            type: string
            title: status
            enum:
              - processing
              - authorized
              - cancelled
              - succeeded
              - failed
              - refunded
        - name: limit
          in: query
          description: 'default: 100'
          schema:
            exclusiveMinimum: 0
            type: integer
            title: limit
            maximum: 250
            format: int32
        - name: offset
          in: query
          schema:
            type: integer
            title: offset
            minimum: 0
            format: int32
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/wallet.v1.Deposit'
                title: deposits
components:
  schemas:
    wallet.v1.Deposit:
      type: object
      properties:
        id:
          type: string
          title: id
        account_id:
          type: string
          title: account_id
        status:
          type: string
          title: status
          enum:
            - processing
            - authorized
            - cancelled
            - succeeded
            - failed
            - refunded
        amount:
          type: integer
          title: amount
          minimum: 0
          format: int32
        currency:
          type: string
          title: currency
          enum:
            - USD
            - GBP
            - EUR
        method:
          type: string
          title: method
          enum:
            - card
            - tokenized_card
            - apple_pay
            - google_pay
        details:
          type: string
          title: details
        created_at:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
        authorized_at:
          oneOf:
            - $ref: '#/components/schemas/google.protobuf.Timestamp'
            - type: 'null'
          title: authorized_at
        cancelled_at:
          oneOf:
            - $ref: '#/components/schemas/google.protobuf.Timestamp'
            - type: 'null'
          title: cancelled_at
        succeeded_at:
          oneOf:
            - $ref: '#/components/schemas/google.protobuf.Timestamp'
            - type: 'null'
          title: succeeded_at
        failed_at:
          oneOf:
            - $ref: '#/components/schemas/google.protobuf.Timestamp'
            - type: 'null'
          title: failed_at
        refunded_at:
          oneOf:
            - $ref: '#/components/schemas/google.protobuf.Timestamp'
            - type: 'null'
          title: refunded_at
      title: Deposit
      required:
        - id
        - account_id
        - status
        - amount
        - currency
        - method
        - details
        - created_at
      additionalProperties: false
    google.protobuf.Timestamp:
      type: string
      format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````